Bug 92137 - USB device descriptor short read, QMS 2300 DL printer, D845PEBT2 mobo
USB device descriptor short read, QMS 2300 DL printer, D845PEBT2 mobo
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-06-03 00:21 EDT by Rick Richardson
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-19 19:13:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output (8.46 KB, text/plain)
2003-06-03 23:32 EDT, Rick Richardson
no flags Details

  None (edit)
Description Rick Richardson 2003-06-03 00:21:59 EDT
I have two machines, one running RH 9 and the other running RH 8.0, with all
updates applied.  The RH9 machine has an Intel D845PEBT2 mobo.  The RH8 machine
is a Toshiba Satellite 1115-S103.  Both experience the following problem.

If I plug a Minolta/QMS 2300 DL printer into the USB connector, I get the
following messages from the kernel:

hub.c: new USB device 00:1d.2-2, assigned address 2
usb.c: USB device descriptor short read (expected 18, got 0)
hub.c: new USB device 00:1d.2-2, assigned address 3
usb.c: USB device descriptor short read (expected 18, got 0)

Let me know what additional info you need.
Comment 1 Pete Zaitcev 2003-06-03 17:11:50 EDT
There are some things I'd need, yes.

1. Please get me a full dmesg, taken after the problem happened.
   Please do not drop it into the comments box, but attach using the link
   "Create a New Attachement".

2. Tell me if you had any kernel at all working with that printer,
   and if yes, which one, so I can compare. The newer, the better.

3. If you didn't try 2.4.20-18, please do. Although I am not holding my
   breath for your specific problem, there was some brokenness in -13.
Comment 2 Rick Richardson 2003-06-03 23:32:05 EDT
Created attachment 92131 [details]
dmesg output
Comment 3 Rick Richardson 2003-06-03 23:33:48 EDT
I've never gotten the USB port on this printer to work with Linux.
I did just try 2.4.20-18, the dmesg output is from that kernel.
Comment 4 Pete Zaitcev 2003-11-20 18:20:14 EST
Rick, I'm wondering short reads may be caused by races. Please try this:
No guarantee, though.

DO NOT remove old kernels or use rpm -U!
Also, it might require --force to install over RHL9.
Comment 5 Rick Richardson 2003-11-21 03:18:20 EST
This new kernel exhibits the same "short read" problem as before.
Comment 6 Rick Richardson 2004-04-23 08:41:29 EDT
Upgrading this printers firmware to version 2.55 (available on the
Minolta UK web site, but not on the Minolta US web site) fixed this issue.

This does not explain why Windows USB subsystem had no trouble with
the previous firmware revision, and Linux did.  But why argue with

Comment 7 Pete Zaitcev 2004-08-19 19:13:06 EDT
I think we *finally* know why it was happening: missing
usblp->rcomplete=0 in usblp_read().
Comment 8 Pete Zaitcev 2004-08-19 19:16:00 EDT
[Modified in FC2 2.6.7-1.494.2.2]

Note You need to log in before you can comment on or make changes to this bug.